diff --git a/addon/doxysearch/doxysearch.cpp b/addon/doxysearch/doxysearch.cpp
index d885502..a34c760 100644
--- a/addon/doxysearch/doxysearch.cpp
+++ b/addon/doxysearch/doxysearch.cpp
@@ -148,7 +148,7 @@ struct WordPosition
 /** Class representing the '<' operator for WordPosition objects based on position. */
 struct WordPosition_less
 {
-  bool operator()(const WordPosition &p1,const WordPosition &p2)
+  bool operator()(const WordPosition &p1,const WordPosition &p2) const
   {
     return p1.start<p2.start;
   }
@@ -165,7 +165,7 @@ struct Fragment
 /** Class representing the '>' operator for Fragment objects based on occurrence. */
 struct Fragment_greater
 {
-  bool operator()(const Fragment &p1,const Fragment &p2)
+  bool operator()(const Fragment &p1,const Fragment &p2) const
   {
     return p1.occurrences>p2.occurrences;
   }
